import App from "./App.svelte";
import * as Sentry from "@sentry/browser";
import { BrowserTracing } from "@sentry/tracing";

Sentry.init({
  dsn: "https://8291ffc6948c419591813f3b6ab432d7@o704302.ingest.sentry.io/6603419",
  integrations: [new BrowserTracing()],

  // Set tracesSampleRate to 1.0 to capture 100%
  // of transactions for performance monitoring.
  // We recommend adjusting this value in production
  tracesSampleRate: 0.5,
});

const app = new App({
  target: document.getElementById("app"),
});

export default app;
